Skip to main content
GET
/
tickets
/
by-code
/
{code}
Get ticket by code
curl --request GET \
  --url https://channels-service-alpha.fourvenues.com/tickets/by-code/{code} \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://channels-service-alpha.fourvenues.com/tickets/by-code/{code}"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://channels-service-alpha.fourvenues.com/tickets/by-code/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "_id": "5f8d0f8b9d2b3b0017b6d8a0",
      "event_id": "5f8d0f8b9d2b3b0017b6d8a0",
      "ticket_rate_id": "5f8d0f8b9d2b3b0017b6d8a0",
      "qr_code": "ABCDE12345",
      "status": "active",
      "price": {
        "price": 12,
        "valid_until": "2022-01-01T00:00:00.000Z",
        "quantity": 0,
        "includes": "1 Drink",
        "additional_info": "Only valid before 2:00 am.",
        "_id": "1643064796675",
        "name": "Early Bird",
        "fee_type": "percentage",
        "fee_quantity": 10,
        "used": "55"
      },
      "payment_currency": "EUR",
      "channel_id": "5f8d0f8b9d2b3b0017b6d8a0",
      "fees": {
        "organization": 1.1,
        "discocil": 0.7
      },
      "full_name": "John Doe",
      "phone": "1234567890",
      "email": "john.appleseed@fourvenues.com",
      "gender": 0,
      "birthday": "1990-01-01",
      "address": "123 Main St, New York, NY 10001",
      "postal_code": "10001",
      "country_code": "ES",
      "personal_document_type": "dni",
      "personal_document_number": "1234567890",
      "answers": [
        {
          "question_id": "1234567890",
          "answer": "Answer"
        }
      ],
      "supplements": [
        {
          "_id": "1643064796675",
          "supplement_id": "1643064796675",
          "label": "1 Copa",
          "price": 12,
          "has_fake_price": true,
          "fake_price": 15,
          "description": "Includes one drink at the bar",
          "total_price": 24,
          "supplement_units": 2,
          "product_quantity": 4,
          "redemption_deadline_value": 1798851600
        }
      ],
      "refunded": 10,
      "refunded_at": "2020-10-19T07:00:00.000Z",
      "refunds": [
        {
          "channel_id": "5f8d0f8b9d2b3b0017b6d8a0",
          "amount": 10,
          "at": "2020-10-19T07:00:00.000Z"
        }
      ],
      "for": 1,
      "enter": 1,
      "entry_time": "2022-07-19T07:00:00.000Z",
      "total_supplements": 2,
      "supplements_service_charge_total": 0.6,
      "total_fees": 1.1,
      "total_price": 16.1,
      "warranty": {
        "total": 1,
        "hours": 12,
        "cost": 0.2
      },
      "discount_amount": 5
    }
  ],
  "success": true
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

code
string
required

Ticket code

Query Parameters

event_id
string
required

Event of the ticket

populate
string

Populate ticket with the options given separated by comma.

Populate options:

  • *: All populators
  • payments: Payments

Response

OK

data
object[]
success
boolean